; typedef struct
; {
;   WORD           idReserved;   // Reserved (must be 0)
;   WORD           idType;       // Resource Type (1 for icons)
;   WORD           idCount;      // How many images?
;   ICONDIRENTRY   idEntries[1]; // An entry for each image (idCount of 'em)
; } ICONDIR, *LPICONDIR;

; typedef struct
; {
;   BYTE        bWidth;          // Width, in pixels, of the image
;   BYTE        bHeight;         // Height, in pixels, of the image
;   BYTE        bColorCount;     // Number of colors in image (0 if >=8bpp)
;   BYTE        bReserved;       // Reserved ( must be 0)
;   WORD        wPlanes;         // Color Planes
;   WORD        wBitCount;       // Bits per pixel
;   DWORD       dwBytesInRes;    // How many bytes in this resource?
;   DWORD       dwImageOffset;   // Where in the file is this image?
; } ICONDIRENTRY, *LPICONDIRENTRY;

ICONDIRENTRY STRUCT

  bWidth        BYTE    ? ; Width, in pixels, of the image
  bHeight       BYTE    ? ; Height, in pixels, of the image
  bColorCount   BYTE    ? ; Number of colors in image (0 if >=8bpp)
  bReserved     BYTE    ? ; Reserved ( must be 0)
  wPlanes       WORD    ? ; Color Planes
  wBitCount     WORD    ? ; Bits per pixel
  dwBytesInRes  DWORD   ? ; How many bytes in this resource?
  dwImageOffset DWORD   ? ; Where in the file is this image?

ICONDIRENTRY ENDS

ICONDIR STRUCT

idReserved      WORD            ?  ; Reserved (must be 0)
idType          WORD            ?  ; Resource Type (1 for icons)
idCount         WORD            ?  ; How many images?
idEntries       ICONDIRENTRY    <> ; An entry for each image (idCount of 'em)

ICONDIR ENDS
